Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029720
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2015-04-28 16:392015-05-07 22:17
ReporterVictorVillarView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision5665f6599a48
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029720: Wrong accounting of the cost adjusment lines under some circumstancies (Goods Movement)

DescriptionWrong accounting of the cost adjusment lines under some circumstancies (Goods Movement)
Steps To ReproduceAs group Admin role,
  Go to Product window:
    create a new one
    Name: test
  Add a purchase Price list: Tarifa bebidas
  unit/list price: 5

Costing Rule assigned to the organization should be "Average".

Go to Purchase Order:
   Create a new one for this product: qty: 10
Complete it.
Go to Goods receipt window,
  Create the lines from the Purchase Order created before.
  Storage Bin: RN- 2-0-0
Complete it.

Go to Goods movement,
  create a new one with this product.
  From: RN-2-0-0
  to: RN-0-0-0
Complete it

Go to Product window:
  create a new one
  Type: service
  name: transport
 Accounting tab:
Asset Account : 62400 Transportes
Product Expense : 62400 Transportes


Go to Landed Cost Type document:
 select the Distribution by Amount algorithm
 select the product: Transport


Create a landed cost document --> Cost 20 assigned to the Goods Receipt created before. Process it

Launch the Costing Background process and realise that the transactions have been calculted.

Go to Cost Adjustment document and Post it.
The entries posted are the ones related to the Goods Movement transaction which needs also to be adjusted.

Realise that the journal entry is:

35000 Productos terminados A Debit: 40.00
61000 Variación de existencias de mercaderías Credit: 40.00

That is wrong, as the net effect of the adjustment accounting should be 0.

Proposed SolutionTherefore correct posting should be:

(1) In the case of NOT allowing Negative Posting.

The journal entry for the Movement From transaction must be:

61000 Variación de existencias de mercaderías Debit: 20.00
35000 Productos terminados A Credit: 20.00

The journal entry for the 'Movement To' transaction must be:

35000 Productos terminados A Debit: 20.00
61000 Variación de existencias de mercaderías Credit: 20.00

(2) In the case of allowing Negative Posting.

The journal entry for the Movement From transaction must be:

35000 Productos terminados A Debit: -20.00
61000 Variación de existencias de mercaderías Credit: -20.00

The journal entry for the 'Movement To' transaction must be:

35000 Productos terminados A Debit: 20.00
61000 Variación de existencias de mercaderías Credit: 20.00
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00297353.0PR15Q2 closedaferraz Wrong accounting of the cost adjusment lines under some circumstancies (Goods Movement) 
depends on backport 00297363.0PR15Q1.4 closedaferraz Wrong accounting of the cost adjusment lines under some circumstancies (Goods Movement) 

-  Notes
(0076908)
hgbot (developer)
2015-04-30 12:09

Repository: erp/devel/pi
Changeset: 5665f6599a48fb0c83729b309d29c13221324f3e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Apr 29 13:56:15 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5665f6599a48fb0c83729b309d29c13221324f3e [^]

Fixes issue 29720: Wrong accounting in Cost Adjusment

Wrong accounting of the cost adjusment lines in case of Goods Movement From.
In this case, accounting should consider negative amounts, in order to have a net effect of the goods movement adjustment accounting as 0.

---
M src/org/openbravo/erpCommon/ad_forms/DocCostAdjustment.java
---
(0076909)
hgbot (developer)
2015-04-30 12:09

Repository: erp/devel/pi
Changeset: bb4b37bb475e97ef7c8f422ca8b78651475f05e6
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Apr 29 16:35:18 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bb4b37bb475e97ef7c8f422ca8b78651475f05e6 [^]

Related to issue 29720: Modify TestCosting tests

Modify GM11, GM12, GM13 and GM5 tests, where cost adjustments from goods movements are created, to update accounting amounts

---
M src-test/src/org/openbravo/test/costing/TestCosting.java
---
(0076913)
umartirena (developer)
2015-04-30 13:14

Code Review + Testing OK.

Backport to Q2.1 needs to be closed, waiting to the repo be ready.
(0077190)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test
(0077191)
hudsonbot (developer)
2015-05-07 22:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a1817f84bd8b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-04-28 16:39 VictorVillar New Issue
2015-04-28 16:39 VictorVillar Assigned To => Triage Finance
2015-04-28 16:39 VictorVillar Modules => Core
2015-04-28 16:39 VictorVillar Triggers an Emergency Pack => No
2015-04-28 16:39 VictorVillar Issue Monitored: networkb
2015-04-28 16:40 VictorVillar Assigned To Triage Finance => psanjuan
2015-04-28 16:59 VictorVillar Target Version => 3.0PR15Q3
2015-04-28 17:20 VictorVillar Steps to Reproduce Updated View Revisions
2015-04-28 17:26 aferraz Assigned To psanjuan => aferraz
2015-04-29 01:37 eintelau Issue Monitored: eintelau
2015-04-29 08:41 psanjuan Steps to Reproduce Updated View Revisions
2015-04-29 08:41 psanjuan Proposed Solution updated
2015-04-29 09:35 psanjuan Summary Wrong accounting of the cost adjusment lines under some circumstancies => Wrong accounting of the cost adjusment lines under some circumstancies (Goods Movement)
2015-04-29 09:35 psanjuan Description Updated View Revisions
2015-04-29 11:06 psanjuan Steps to Reproduce Updated View Revisions
2015-04-29 12:55 psanjuan Proposed Solution updated
2015-04-29 14:25 aferraz Status new => scheduled
2015-04-30 12:09 hgbot Checkin
2015-04-30 12:09 hgbot Note Added: 0076908
2015-04-30 12:09 hgbot Status scheduled => resolved
2015-04-30 12:09 hgbot Resolution open => fixed
2015-04-30 12:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5665f6599a48fb0c83729b309d29c13221324f3e [^]
2015-04-30 12:09 hgbot Checkin
2015-04-30 12:09 hgbot Note Added: 0076909
2015-04-30 13:14 umartirena Review Assigned To => umartirena
2015-04-30 13:14 umartirena Note Added: 0076913
2015-04-30 13:14 umartirena Status resolved => closed
2015-04-30 13:14 umartirena Fixed in Version => pi
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077190
2015-05-07 22:17 hudsonbot Checkin
2015-05-07 22:17 hudsonbot Note Added: 0077191


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker